> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlystar.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# API to fetch avialable model from inputed url



## OpenAPI

````yaml api-reference/openapi-1.json post /api/v1/admin/models/fetch
openapi: 3.0.1
info:
  title: '@fastify/swagger'
  version: 8.15.0
servers:
  - url: https://app.aptlystar.ai
security: []
paths:
  /api/v1/admin/models/fetch:
    post:
      tags:
        - Admin
      summary: API to fetch avialable model from inputed url
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
      requestBody:
        content:
          '*/*':
            schema:
              type: object
              properties:
                url:
                  type: string
                api_key:
                  type: string
                api_type:
                  type: string
                ollama_url:
                  type: string
        required: false
      responses:
        '200':
          description: Default Response
          content: {}

````